Imports Microsoft.VisualBasic
Imports System
Imports WorkflowCore
Imports System.Workflow.Runtime
Imports WorkflowCore.Logging
Imports WorkflowCore.Data

'////////////////////////////////////////////////////////////////////
' Created by Michael Kennedy
' http://www.michaelckennedy.net
' Copyright Michael Kennedy 2008.
' Part of the HRWorkflow sample application featured in MSDN Magazine.
'

Namespace HRWorkflow
	Partial Public Class GatherEmployeeData
		Inherits System.Web.UI.Page
		Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
			If (Not IsPostBack) Then
				TraceDT.Add("Page loaded for new recruit.", QueryStringData.GetWorkflowId(), Me.GetType())
			End If
		End Sub

		Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)
			Button1.Enabled = False
			Dim employee As New Employee()
			employee.Name = TextBoxName.Text.Trim()
			employee.Age = Integer.Parse(TextBoxAge.Text)

			Dim id As Guid = QueryStringData.GetWorkflowId()
            Dim wfInst As WorkflowInstance = [Global].WorkflowRuntime.GetWorkflow(id)
			wfInst.EnqueueItem(GatherEmployeeInfoActivity.QUEUE_NAME, employee, Nothing, Nothing)

			TraceDT.Add("New employee data gathered: {0}, {1}.", QueryStringData.GetWorkflowId(), Me.GetType(), employee.Name, employee.Age)

            LabelMessage.Text = "<br /><br />Ok, now pretend you're the boss who got an email saying there is a new recruit. Click <a href='AssignJob.aspx?id=" & id.ToString & "'>here</a>."
		End Sub
	End Class
End Namespace
