Imports Microsoft.VisualBasic
Imports System
Imports System.Text
Imports System.Web.UI
Imports WorkflowCore.Logging
Imports System.Web

'////////////////////////////////////////////////////////////////////
' Created by Michael Kennedy
' http://www.michaelckennedy.net
' Copyright Michael Kennedy 2008.
' Part of the HRWorkflow sample application featured in MSDN Magazine.
'

Namespace HRWorkflow
	Partial Public Class WorkflowViewer
		Inherits Page
		Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
		End Sub

		Public Sub timerTick(ByVal sender As Object, ByVal e As EventArgs)
			Dim count As Integer = 0
			Dim styles() As String = { "style=""background-color: #A2E3F7""; color: ""#FFFFFF""", "style=""background-color: #5EC6ED""; color: ""#000000""" }

			Dim sb As New StringBuilder()
			sb.Append("<table style=""border: thin solid #000000"" cellspacing='0' cellpadding='0'>")
			For Each message As String In TraceDT.GetMessages(True, MyWorkflowID)
				sb.Append("<tr>" & Constants.vbLf)
				sb.Append("<td ")
				sb.Append(styles(count Mod 2))
				sb.Append(">" & Constants.vbLf)
				sb.Append(message)
				sb.Append("</td>" & Constants.vbLf)
				sb.Append("</tr>" & Constants.vbLf)

				count += 1
			Next message
			sb.Append("</table>")
			LabelContent.Text = sb.ToString()
		End Sub

		Public Shared Property MyWorkflowID() As Guid
			Get
				Dim wfID As Nullable(Of Guid) = CType(HttpContext.Current.Session("workflowID"), Nullable(Of Guid))
				If Not wfID.HasValue Then
					Return Guid.Empty
				Else
					Return CType(wfID, Guid)
				End If
			End Get
			Set(ByVal value As Guid)
				HttpContext.Current.Session("workflowID") = value
			End Set
		End Property
	End Class
End Namespace