Imports Microsoft.VisualBasic
Imports System
Imports WorkflowCore
Imports System.Collections.Generic

'////////////////////////////////////////////////////////////////////
' Created by Michael Kennedy
' http://www.michaelckennedy.net
' Copyright Michael Kennedy 2008.
' Part of the HRWorkflow sample application featured in MSDN Magazine.
'

Namespace WorkflowCore.Data
	' Just a fake database to store our data. We'd use SQL Server for a real app.
	Public Class Database
		Private Shared dataStore As Dictionary(Of Guid, Employee) = New Dictionary(Of Guid, Employee)()

		Public Shared Function FindEmployee(ByVal wfID As Guid) As Employee
			Return dataStore(wfID)
		End Function

		Public Shared Sub SaveEmployee(ByVal wfID As Guid, ByVal employee As Employee)
			dataStore(wfID) = employee
		End Sub
	End Class
End Namespace