Imports Microsoft.VisualBasic
Imports System
Imports System.Workflow.Activities
Imports System.Workflow.ComponentModel
Imports System.Workflow.Runtime

'////////////////////////////////////////////////////////////////////
' Created by Michael Kennedy
' http://www.michaelckennedy.net
' Copyright Michael Kennedy 2008.
' Part of the HRWorkflow sample application featured in MSDN Magazine.
'

Namespace WorkflowCore
	Public NotInheritable Partial Class MainWorkflow
		Inherits SequentialWorkflowActivity
		Public Sub New()
			InitializeComponent()
		End Sub

		Public Shared EmployeeResponseProperty As DependencyProperty = DependencyProperty.Register("EmployeeResponse", GetType(String), GetType(MainWorkflow))

		Public Property EmployeeResponse() As String
			Get
				Return (CStr(MyBase.GetValue(EmployeeResponseProperty)))
			End Get
			Set(ByVal value As String)
				MyBase.SetValue(EmployeeResponseProperty, value)
			End Set
		End Property
	End Class
End Namespace